# Uses of Class
javax.swing.JFormattedTextField.AbstractFormatterFactory

Packages that use JFormattedTextField.AbstractFormatterFactory
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of JFormattedTextField.AbstractFormatterFactory in javax.swing

Methods in javax.swing that return JFormattedTextField.AbstractFormatterFactory
Modifier and Type
Method
Description
`JFormattedTextField.AbstractFormatterFactory`
JFormattedTextField.`getFormatterFactory()`
Returns the current `AbstractFormatterFactory`.
Methods in javax.swing with parameters of type JFormattedTextField.AbstractFormatterFactory
Modifier and Type
Method
Description
`void`
JFormattedTextField.`setFormatterFactory(JFormattedTextField.AbstractFormatterFactory tf)`
Sets the `AbstractFormatterFactory`.
Constructors in javax.swing with parameters of type JFormattedTextField.AbstractFormatterFactory
Modifier
Constructor
Description
``
`JFormattedTextField(JFormattedTextField.AbstractFormatterFactory factory)`
Creates a `JFormattedTextField` with the specified `AbstractFormatterFactory`.
``
`JFormattedTextField(JFormattedTextField.AbstractFormatterFactory factory, Object currentValue)`
Creates a `JFormattedTextField` with the specified `AbstractFormatterFactory` and initial value.

## Uses of JFormattedTextField.AbstractFormatterFactory in javax.swing.text

Subclasses of JFormattedTextField.AbstractFormatterFactory in javax.swing.text
Modifier and Type
Class
Description
`class`
`DefaultFormatterFactory`
An implementation of `JFormattedTextField.AbstractFormatterFactory`.